skipSearch(3)

NAME
skipSearch - search a skip list.

SYNOPSIS

#include <util/skiplist.h>

void *skipSearch(skipList list, UINT32 key, void **plock);

ARGUMENTS
list - list to search in.
key - key to look for.
plock - place for value lock (or NULL).

DESCRIPTION
Searches for <key> in <list>, and returns value if found, or NULL if not. If <plock> is non-NULL, then the lock returned in <plock> will be associated with the returned value. Until this lock is passed to skipRelease(), the value will not be freed with the freeValue callback (see skipNewList()).

MT-Level: Safe if <list> thread-safe.

RETURN VALUE
plock - set to value lock.

SEE ALSO
skipDelete(3), skipFreeList(3), skipRelease(3), skipInsert(3), skipSearch(3), skipNext(3), skipNewList